import micro_request from '@/utils/micro_request'

const basePath = process.uniEnv.VUE_APP_ParentPath
export default {
  // 获取列表
  getList(query) {
    return micro_request.postRequest(basePath, 'Product', 'GetList', query)
  },
  doAdd(query) {
    return micro_request.postRequest(basePath, 'Product', 'Create', query)
  },
  doEdit(query) {
    return micro_request.postRequest(basePath, 'Product', 'UpdateById', query)
  },
  doDelete(query) {
    return micro_request.postRequest(basePath, 'Product', 'DeleteByIds', query)
  },
  getDetails(query) {
    return micro_request.postRequest(basePath, 'Product', 'GetEntityById', query)
  },
}
